Bug 166185 - Review Request: perl-Class-DBI-AbstractSearch : Abstract Class::DBI's SQL with SQL::Abstract
Summary: Review Request: perl-Class-DBI-AbstractSearch : Abstract Class::DBI's SQL wit...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: David Lawrence
URL: http://search.cpan.org/dist/Class-DBI...
Whiteboard:
Depends On: 166184
Blocks: FE-ACCEPT 166203
TreeView+ depends on / blocked
 
Reported: 2005-08-17 20:20 UTC by Tom "spot" Callaway
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-08 15:39:29 UTC


Attachments (Terms of Use)
Patch addressing review issues (1.50 KB, patch)
2005-09-06 11:36 UTC, Paul Howarth
no flags Details | Diff

Description Tom "spot" Callaway 2005-08-17 20:20:08 UTC
Spec Name or Url: 
http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-DBI-AbstractSearch.spec

SRPM Name or Url: 
http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-DBI-AbstractSearch-0.05-2.src.rpm

Description: 

Abstract Class::DBI's SQL with SQL::Abstract.

(NOTE: This package is one of the Maypole dependencies)

Comment 1 Paul Howarth 2005-09-06 11:35:36 UTC
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is same as perl, matches spec
- spec file written in English and is legible
- sources match upstream
- package builds ok in FC4 and in mock for development (i386)
- BR's mostly OK
- no locales, libraries, subpackages or pkgconfigs to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no scriptlets

Needswork:

- remove redundant BR: perl
- include license text

Nitpick:

- honor %{?_smp_mflags}
- add BR: perl(DBD::SQLite) for better test coverage


Comment 2 Paul Howarth 2005-09-06 11:36:36 UTC
Created attachment 118493 [details]
Patch addressing review issues

Comment 4 Paul Howarth 2005-09-08 10:20:23 UTC
Approved.


Note You need to log in before you can comment on or make changes to this bug.